
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>海康威视频监控设备Web查看系统（三）Web篇 / iVAN</title>

    <meta name="description" content="海康威视频监控设备Web查看系统（三）Web篇 本文是本系列三篇文章中的最后一篇,在前两篇文章中,介绍了开发海康监控的方案及中转服务器的实现,本篇文章介绍Web端的功能实现,经过本篇文章中的项目开发,我们就实现了最初的项目需求. 项目中需要海康官方播放器SDK,请各位根据项目需要下载相应版本.先来作者就带着大家一步步来实现客户端插件的开发. 播放器开发: 根据海康官方的SDK,我们要做的播放器其实只是将海康的播放库引入到我们自己的项目中,然后接收来自中转服务器的数据,最后播放显示到客户Web浏览器上.其实整个就是一个引入了海康播放库的Acti">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">海康威视频监控设备Web查看系统（三）Web篇</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文是本系列三篇文章中的最后一篇，在前两篇文章中，介绍了开发海康监控的方案及中转服务器的实现，本篇文章介绍Web端的功能实现，经过本篇文章中的项目开发，我们就实现了最初的项目需求。 项目中需要海康官方播放器SDK，请各位根据项目需要下载相应版本。先来作者就带着大家一步步来实现客户端插件的开发。</p>
<p>播放器开发：</p>
<p>根据海康官方的SDK，我们要做的播放器其实只是将海康的播放库引入到我们自己的项目中，然后接收来自中转服务器的数据，最后播放显示到客户Web浏览器上。其实整个就是一个引入了海康播放库的ActiveX插件开发。下面按照开发流程一步步实现播放器插件开发。</p>
<p>新建C#类库项目</p>
<p>将播放器SDK中文件引入到项目中</p>
<p>在项目中添加Winform用户控件</p>
<p>新建安装项目</p>
<p>发布项目</p>
<p>数字签名</p>
<p>发布Web网站</p>
<p>关于C#开发ActiveX的详细过程，园子里有好多文章写的非常详细，我这里不在累述，有不太了解的朋友，我这里推荐一篇比较详细的文章《ASP.NET C# 之 Activex用C#编写ActiveX控件》。本篇文章写播放器插件的核心功能。</p>
<p>首先来看SDK的C#调用的内容：</p>
<pre>
public class PlayCtrlSDK
    {
        #region 解码库
        [DllImport("PlayCtrl.dll")]
        public static extern uint PlayM4_GetLastError(int nPort);
        [DllImport("PlayCtrl.dll")]
        public static extern int PlayM4_GetCaps();
        /// &lt;summary&gt;
        /// 获取未使用的通道号
        /// &lt;/summary&gt;
        /// &lt;param name="nPort"&gt;&lt;/param&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        [DllImport("PlayCtrl.dll")]
        public static extern bool PlayM4_GetPort(ref int nPort);
        /// &lt;summary&gt;
        /// 设置流播放模式
        /// &lt;/summary&gt;
        /// &lt;param name="port"&gt;&lt;/param&gt;
        /// &lt;param name="mode"&gt;&lt;/param&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        [DllImport("PlayCtrl.dll")]
        public static extern bool PlayM4_SetStreamOpenMode(int nPort, int mode);
        /// &lt;summary&gt;
        /// 打开流
        /// &lt;/summary&gt;
        /// &lt;param name="nPort"&gt;&lt;/param&gt;
        /// &lt;param name="pFileHeadBuf"&gt;&lt;/param&gt;
        /// &lt;param name="nSize"&gt;&lt;/param&gt;
        /// &lt;param name="nBufPoolSize"&gt;&lt;/param&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        [DllImport("PlayCtrl.dll")]
        public static extern bool PlayM4_OpenStream(int nPort, byte[] pFileHeadBuf, UInt32 nSize, uint nBufPoolSize);
        /// &lt;summary&gt;
        /// 设置播放缓冲区最大缓冲帧数
        /// &lt;/summary&gt;
        /// &lt;param name="nPort"&gt;&lt;/param&gt;
        /// &lt;param name="nNum"&gt;&lt;/param&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        [DllImport("PlayCtrl.dll")]
        public static extern bool PlayM4_SetDisplayBuf(int nPort, uint nBufPoolSize);
        /// &lt;summary&gt;
        /// 开启播放
        /// &lt;/summary&gt;
        /// &lt;param name="nPort"&gt;&lt;/param&gt;
        /// &lt;param name="hWnd"&gt;&lt;/param&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        [DllImport("PlayCtrl.dll")]
        public static extern bool PlayM4_Play(int nPort, IntPtr hWnd);
        /// &lt;summary&gt;
        /// 开始倒放
        /// &lt;/summary&gt;
        /// &lt;param name="nPort"&gt;&lt;/param&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        [DllImport("PlayCtrl.dll")]
        public static extern bool PlayM4_ReversePlay(int nPort);
        /// &lt;summary&gt;
        /// 输入流数据
        /// &lt;/summary&gt;
        /// &lt;param name="nPort"&gt;&lt;/param&gt;
        /// &lt;param name="pBuf"&gt;&lt;/param&gt;
        /// &lt;param name="nSize"&gt;&lt;/param&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        [DllImport("PlayCtrl.dll")]
        public static extern bool PlayM4_InputData(int nPort, byte[] pBuf, uint nSize);
        /// &lt;summary&gt;
        /// 关闭播放
        /// &lt;/summary&gt;
        /// &lt;param name="nPort"&gt;&lt;/param&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        [DllImport("PlayCtrl.dll")]
        public static extern bool PlayM4_Stop(int nPort);
        /// &lt;summary&gt;
        /// 关闭流
        /// &lt;/summary&gt;
        /// &lt;param name="nPort"&gt;&lt;/param&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        [DllImport("PlayCtrl.dll")]
        public static extern bool PlayM4_CloseStream(int nPort);
        /// &lt;summary&gt;
        /// 释放已使用的通道号
        /// &lt;/summary&gt;
        /// &lt;param name="nPort"&gt;&lt;/param&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        [DllImport("PlayCtrl.dll")]
        public static extern bool PlayM4_FreePort(int nPort);  

        #endregion
    }</pre>
<p>本栏目更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/Programming/net/</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索c#<br />
                    ，                static<br />
                    ，                海康威视<br />
                    ，                海康视频<br />
                    ，                c# dllimport<br />
                    ，                海康设备<br />
                    ，                extern<br />
                    ，                海康硬盘录像机dll<br />
                    ，                public<br />
                    ，                dllimport<br />
                    ，                海康摄像机<br />
                    ，                视频控件c#<br />
                    ，                海康威视sdkc++控件<br />
                    ，                海康<br />
                                    android海康sdk的使用<br />
                                    海康人脸识别监控系统、海康监控系统方案、海康集中监控管理系统、海康威视监控系统方案、海康威视监控系统，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 07:28:48</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/public/" title="public">public</a>, <a href="https://www.iamivan.net/tag/static/" title="static">static</a>, <a href="https://www.iamivan.net/tag/extern/" title="extern">extern</a>, <a href="https://www.iamivan.net/tag/%e6%b5%b7%e5%ba%b7%e5%a8%81%e8%a7%86/" title="海康威视">海康威视</a>, <a href="https://www.iamivan.net/tag/android%e6%b5%b7%e5%ba%b7sdk%e7%9a%84%e4%bd%bf%e7%94%a8/" title="android海康sdk的使用">android海康sdk的使用</a>, <a href="https://www.iamivan.net/tag/dllimport/" title="dllimport">dllimport</a>, <a href="https://www.iamivan.net/tag/%e6%b5%b7%e5%ba%b7%e7%a1%ac%e7%9b%98%e5%bd%95%e5%83%8f%e6%9c%badll/" title="海康硬盘录像机dll">海康硬盘录像机dll</a>, <a href="https://www.iamivan.net/tag/%e6%b5%b7%e5%ba%b7%e6%91%84%e5%83%8f%e6%9c%ba/" title="海康摄像机">海康摄像机</a>, <a href="https://www.iamivan.net/tag/%e6%b5%b7%e5%ba%b7%e5%a8%81%e8%a7%86sdkc-%e6%8e%a7%e4%bb%b6/" title="海康威视sdkc&plus;&plus;控件">海康威视sdkc&plus;&plus;控件</a>, <a href="https://www.iamivan.net/tag/c-dllimport/" title="c&num; dllimport">c&num; dllimport</a>, <a href="https://www.iamivan.net/tag/%e8%a7%86%e9%a2%91%e6%8e%a7%e4%bb%b6c/" title="视频控件c&num;">视频控件c&num;</a>, <a href="https://www.iamivan.net/tag/%e6%b5%b7%e5%ba%b7%e8%a7%86%e9%a2%91/" title="海康视频">海康视频</a>, <a href="https://www.iamivan.net/tag/%e6%b5%b7%e5%ba%b7%e8%ae%be%e5%a4%87/" title="海康设备">海康设备</a>, <a href="https://www.iamivan.net/tag/%e6%b5%b7%e5%ba%b7/" title="海康">海康</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>海康威视频监控设备Web查看系统（三）Web篇的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm72Jlb.html" rel="bookmark">海康威视频监控设备Web查看系统（二） 服务器篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 上一篇文章&lt;海康威视频监控设备Web查看系统(一):概要篇&gt;笼统的介绍了关于海康视频中转方案的思路,本文将一步步实现方案中的视频中转服务端.文中会涉及到一些.net socket处理和基础的多线程操作.我用的是SDK版本是SDK_Win32_V4.2.8.1 .大家根据自己实际情况想在相应的SDK,页面的说明里有详细的设备型号列表. 分析官方SDK的Demo: 首先来看看官方SDK中的C#版本的Demo,官方Demo分为两个版本,分别是&quot;实时预览示例代码一&quot;和&qu			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7GOxM.html" rel="bookmark">海康威视频监控设备Web查看系统（一） 概要篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题外话: 为什么在开始之前先说题外话呢?主要是为了怕有人误会,以为这里要写的是一个关于视频流处理的文章.其实这个系列的几篇文章可能和视频流的处理半毛钱关系都没有,冲着视频技术来的看官们,可能让你们失望了.这个系列里主要涉及的技术大概有.net的socket处理,C#写ActiveX插件,少量的线程处理,以及对非托管C++库的调用. 另一方面,这个系列文章说的是一个综合的小项目,没有复杂的功能,没有严谨的项目管理过程,但却有一个技术探索的一般过程.好了,题外话到此结束,下面是正题了. 需求描述:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYR1Llp.html" rel="bookmark">Java  视频监控  在自己的系统上呈现视频监控</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Java 视频监控 在自己的系统上呈现视频监控 java如何实现监控视频的数据流获取,以及摄像头的远程控制?在自己已有的系统上呈现视频监控.在线求助. 解决方案 http://sid1211.iteye.com/blog/802209			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgmW03z.html" rel="bookmark">Strategy Analytics：视频监控是安防系统成功的关键</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Strategy Analytics最新的研究报告&lt;智能家居:颠覆安防产业&gt;指出,安保公司.保险公司以及执法机构正在越来越多的使用视频验证报警.视频监控有双重吸引力:视频验证报警系统能让监控者观察到犯罪过程,同时可为执法机构提供犯罪的有利证据. Strategy Analytics的报告还提到了与行业机构&quot;优先验证警报响应(PPVAR)&quot;的合作,该机构旨在推广视频验证报警报带来的好处,以及视频中继标准化协议的使用.报告指出,标准化协议允许报警公司在报警事件中为中央监控站的操			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0YPanp.html" rel="bookmark">安防视频监控系统选用数字监控技术的十大理由</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				智能安防是智能家居通过安防系统中的各种安防探测器,如烟感.移动探测.玻璃破碎探测.门磁门禁.可视对讲.视频监控等组成立体防范的系统,将安防系统中所获取的视频.图片.声音.信号等信息进行智能化应用和处理,利用智能化技术自动分析识别所拥有的信息,最终达到预判与预警,提前进行安全与防护的目的. 近年来,全球的安防设备总产值约占整个安防产业的25%.其中,视频安防占比高达54%,门禁系统占比为22．5%,防盗报警系统占比达23．5%.预计到2017年,安防市场规模有望达到1700亿美元.市场调研机构IH			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZKKo5b.html" rel="bookmark">WiMAX技术在视频监控系统中的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WiMAX系统的无线传输特性,可以保证视频流的传输质量,同时使监控系统在接入层的部署更为快速.简便. 视频监控点分布在城市的各个角落,同时城市建设规范性要求施工减少对道路路面造成的破坏,在建设过程中,部分地区无法实现光缆的埋地铺设,必然会遇到&quot;最后一公里&quot;的接入难题,采用无线技术进行视频监控信号的传输就成为一种很好的选择.WiMAX系统的无线传输特性,可以保证视频流的传输质量,同时使监控系统在接入层的部署更为快速.简便.WiMAX的应用特点分布于城市道路.工厂.社区等处的视频监控系统,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z43YV9p.html" rel="bookmark">当智能分析搭上大数据的快车，视频监控又将如何？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目前大数据应用已开始在建筑行业落地实施.视频监控从前端视频技术到中端海量存储到后端的大数据分析,是一个完整的大数据技术应用,目前能提出整体解决方案的服务商,屈指可数. 视频监控是安全防范系统的重要组成部分.传统的监控系统包括前端摄像机.传输线缆.视频监控平台.一直以来,视频监控在各领域扮演着不容置疑的重要角色.作为我国支柱产业之一且安全事故易发的建筑行业,视频监控已经是每个建设项目的标准设施.随着视频监控高清化,智能化的技术普及,项目中所使用的视频监控系统应用技术也在不断创新.自然产生了海量的视			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mymq5JM.html" rel="bookmark">校园视频监控联入公安网络孩子情况家长手机看</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中国移动浙江公司全力打造&quot;平安校园&quot;工程 近期以来频发的校园&quot;不平安&quot;事件,牵动了全社会的心弦,也对中国移动浙江公司提出了挑战,如何运用公司在技术与业务上的优势,尽最大可能保障校园安全,浙江公司立即行动起来,借用移动信息化武器,打造&quot;平安校园工程&quot;.可以让很多家长感到欣慰的是,在中国移动浙江公司的努力下,不久以后,省内大部份学校将可以实现校内的全网视频监控,并且这些监控网络可以联入公安视频监控网络,受到公安部门的重点关注,同时,家长也可以通过手机			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqR45ep.html" rel="bookmark">利用AI视频监控&OpenCurlyDoubleQuote;预测犯罪&rdquo;，这事儿到底靠谱吗？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2002年&lt;少数派报告&gt;中的一个场景让人印象深刻,影片中谈到未来是可预知的,利用技术使得罪犯在行凶之前就得到惩罚. 不少人感慨,如果这些技术在现实生活中存在,对于公共治安无疑是极大的利好. 利用AI&quot;预测犯罪&quot;初获进展 而在今天,这事儿真的有进展了. 雷锋网了解到,最近网上疯传着AI&quot;预测&quot;犯罪的相关消息,大概是说利用人的行为模式.轨迹等数据评估相关人犯罪的可能性. 据悉,它能对犯罪行为进行辨别,通过大量数据快速分析出看似毫无关系.错综复杂的违法犯罪案例			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ7A2b.html" rel="bookmark" class="title">ExecuteReader在执行有输出参数的存储过程时拿不到输出参数</a>
					<div>
						异常处理汇总-后端系列 http://www.cnblogs.com/dunitian/p/4523006.html 后期会在博客首发更新:http://dnt.dkill.net/Article/D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRqrGb.html" rel="bookmark" class="title">前缀索引，一种优化索引大小的解决方案</a>
					<div>
						今天在读一篇关于数据库索引介绍的文章时,该文章提到了前缀索引,对于我这个搞数据库应用开发那么多年的人来说,这个词还真是一个新词,没用过.于是打算研究一番. 前缀索引似乎是MySQL中的一个概念,在SQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ1XZb.html" rel="bookmark" class="title">搞定游戏视觉包装中的&rdquo;情感化设计&rdquo;</a>
					<div>
						  一见钟情可以靠脸,但想暖到人心窝里头还是得用心,今天腾讯的同学抛开表面的视觉功夫,聊聊如何利用情感化设计真正打动用户,这也是今年非常火的设计趋势,强烈推荐同学们学起来. 在目前的互联网设计中,情感 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zexYOp.html" rel="bookmark" class="title">Godaddy的域名注册风险分析</a>
					<div>
						据南方都市报的报道,国内知名的电影资料库网站时光网被关的原因终于有了答案,时光网关闭据称与涉黄有关,万网的工作人员称,万网是接北京市通信管理局的通知,称时光网&quot;传播色情.淫秽&quot;,因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPVaAb.html" rel="bookmark" class="title">把这个组成文件就行了！，建议斑竹加精华！关键字：使用FSO按文件大小浏览文件目录并进行删除操作</a>
					<div>
						fso|关键字|精华 &lt;%@ Language=VBScript %&gt;&lt;%Server.ScriptTimeout=50000%&gt;&lt;HTML&gt;&lt;HEAD&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqjDGp.html" rel="bookmark" class="title">提高PHP编程效率的53个要点&lpar;经验小结&rpar;第1&sol;2页</a>
					<div>
						用单引号代替双引号来包含字符串,这样做会更快一些.因为PHP会在双引号包围的字符串中搜寻变量,单引号则不会,注意:只有echo能这么做,它是一种可以把多个字符串当作参数的&quot;函数&quot;( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8DZPp.html" rel="bookmark" class="title">新站买链接要注意的事项 新手必看</a>
					<div>
						现在卖链接的很多,有些站长就想花点钱想买权重高些的网站链接.但很多的站都是有几百个外链.就算花钱买下来,获得的权高也不会很多,也可以说很少很少,只有买更多的链接才能达到想要的效果. 其实不一定要花那么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5aORp.html" rel="bookmark" class="title">从百度竞价系统审视&OpenCurlyDoubleQuote;成都网络营销&rdquo;的排名现状</a>
					<div>
						一直在做seo,但是最近修改了自己的网站title,因为自己是用的wordpress的cms,优化成都网络营销似乎难度很大.但是经过一段时间的调整之后,百度的快照正常更新,收录也开始起来了,我开始有信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKGLVp.html" rel="bookmark" class="title">如何将SQL Server数据迁移到MySQL</a>
					<div>
						一.背景 由于项目开始时候使用的数据库是SQL Server,后来把存储的数据库调整为MySQL,所以需要把SQL Server的数据转移到MySQL:由于涉及的表比较多,所以想在MySQL中生成对应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj72qNM.html" rel="bookmark" class="title">深入探索CORBA对象生命周期之慨述</a>
					<div>
						在服务器端,服务器的ORB在运行时从网络读取请求,并通过调用在第一个安装的消息拦截器上的receive_message( )开始处理请求.ORB用对象关键词以标识目标必须含有POA的名字,通过POA才 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElGx6z.html" rel="bookmark" class="title">最古老的算法：辗转相除法（求两个自然数最大公约数）</a>
					<div>
						在数学界,辗转相除法,又称欧几里得算法,被认为是世界上最早的算法(公元前300年),该算法用于求两个最大公约数的算法.辗转相除法首次出现于欧几里得的&lt;几何原本&gt;(第VII卷,命题yⅠ和Ⅱ) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLmYYb.html" rel="bookmark" class="title">一次SQL Server 2000安装奇遇</a>
					<div>
						最近,我遭遇了一次奇特的SQL Server安装经历,在这里把它写出来,和朋友们一起学习,探讨. 我的系统是WIN2000标准服务器版,第一次安装系统时候能够正确安装和运行SQL Server2000 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjONop.html" rel="bookmark" class="title">Oracle层次查询和with函数的使用示例</a>
					<div>
						开发中大家应该都做过什么类似部门管理这样的功能,一般情况下一个部门下面还有下一级部门(子部门),这个层级就类似一棵树.这种情况下一般会把父级部门 和子级部门分成2个或者多个表,这种算是比较常规的做法: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2QxOM.html" rel="bookmark" class="title">禁用Word 2007目录超链接</a>
					<div>
						禁用Word 2007目录超链接 在Word2007中默认建立的目录开启了超链接功能,只需按下Ctrl键,同时在该目录上单击鼠标左键,就可以马上跳转到该目录对应的位置.如果不需要超链接功能,则必须在新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j1Alb.html" rel="bookmark" class="title">U盘安装xp系统出现错误提示INF file txtsetup&period;sif怎么办？</a>
					<div>
						  U盘安装xp系统出现错误提示INF file txtsetup.sif怎么办? 1.WinSetupFromUSB v2.1.6是绿色软件,下载方法比较简单.运行软件点击Refresh按钮,选择你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG1qwb.html" rel="bookmark" class="title">TensorFlow入门指南</a>
					<div>
						更多深度文章,请关注:https://yq.aliyun.com/cloud Tensorflow是一种被广泛使用的实现机器学习和其他涉及大量数学运算的算法的库.Tensorflow是由Google开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkwWWb.html" rel="bookmark" class="title">adb操作手机打电话、发短信</a>
					<div>
						当我们使用adb命令操作手机的时候经常会报错 这个错误一般是adb的端口(5037)被占用,造成adb server无法启动,解决问题的思路就是查看是哪个程序占用了adb调试端口,然后结束掉它就行.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7rjez.html" rel="bookmark" class="title">email正则表达式函数</a>
					<div>
						email正则表达式函数,是用来判断EMAIL是否正确,从而更好的给用户发邮件,通知等情况 Function IsValidEmail(email)  Dim names, Name, i, c  I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YY7dM.html" rel="bookmark" class="title">comtech-请问如何用VC远程遥控COMTECH解调器，最好有源程序</a>
					<div>
						问题描述 请问如何用VC远程遥控COMTECH解调器,最好有源程序 我需要用VC程序遥控改变comtech的cdm600调制解调器的频率.带宽等参数请问如何做 解决方案 http://download ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Ne98M.html" rel="bookmark" class="title">我是如何构建一个持续发展的项目</a>
					<div>
						作者:张开涛 说起项目,每个程序员都应该搭建过自己的项目,而我也搭建过数十个企业级或互联网级项目:在做企业级项目时也抽象了一套通过的开发脚手架ES方便开发,也做过一些通用的代码生成工具来生成通用项目架 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NRvrM.html" rel="bookmark" class="title">决战Win 8</a>
					<div>
						2013年Chrome.Firefox忙着升级,IE10忙着帮Windows 8推广,以往的浏览器测试都是在Windows 7平台上进行,现在Windows 8是大势所趋,Tom's Hardware ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx9Gvb.html" rel="bookmark" class="title">编写Linux Shell脚本的最佳实践</a>
					<div>
						前言 由于工作需要,最近重新开始拾掇shell脚本.虽然绝大部分命令自己平时也经常使用,但是在写成脚本的时候总觉得写的很难看.而且当我在看其他人写的脚本的时候,总觉得难以阅读.毕竟shell脚本这个东 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwBa7p.html" rel="bookmark" class="title">蓝桥杯嵌入式比赛组织方提供资料</a>
					<div>
						问题描述 蓝桥杯嵌入式比赛组织方提供资料 蓝桥杯嵌入式比赛组织方会提供哪些资料,像固态库,还有一些实现每个单一功能的例子会不会给,第一次参加 谢谢! 解决方案 会提供例题.你也可以参考以往的题目htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kryNM.html" rel="bookmark" class="title">ffmpeg使用转码学习</a>
					<div>
						ffmpeg在官网上描述自身:是一个对视频和音频进行记录,转换,流化的完整的跨平台解决方案.事实上,现在有很多工具都是基于ffmpeg来进行视频音频的处理工具的.比如鼎鼎大名的格式工厂,就是使用ffm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJADxwp.html" rel="bookmark" class="title">高通推近距离位置定位技术，精度可达0&period;3米左右</a>
					<div>
						注:也许在不久的将来,传感器中直接内嵌蓝牙或其它通讯方式,仅在有无线信号覆盖的地方,才会被激活加电,或者通过无线信号获得电源,就象银行卡中的芯片插进设备时由设备供电一样,那样的话,每一样东西都可以贴上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AKg9z.html" rel="bookmark" class="title">usebean-eclipse不能导入Java类</a>
					<div>
						问题描述 eclipse不能导入Java类 我的程序是这样的:Counter.java:public class Counter{ long count=0; public synchronized  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjXZNM.html" rel="bookmark" class="title">RBAC新解 - 基于资源的权限管理</a>
					<div>
						1.什么是角色 当说到程序的权限管理时,人们往往想到角色这一概念.角色是代表一系列可执行的操作或责任的实体,用于限定你在软件系统中能做什么.不能做什么.用户帐号往往与角色相关联,因此,一个用户在软件系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAv9vp.html" rel="bookmark" class="title">模块化-requirejs一直有缓存怎么解决？</a>
					<div>
						问题描述 requirejs一直有缓存怎么解决? 加载了第一次,main.js就一直更新不了,一直有缓存,强制刷新也不行 解决方案 可能是浏览器缓存静态资源!在引入的时候加入版本号希望对你有帮助					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xR4qb.html" rel="bookmark" class="title">概念研究：新型攻击可以修改已发送的电子邮件内容</a>
					<div>
						本文讲的是概念研究:新型攻击可以修改已发送的电子邮件内容,近日,据外媒报道称,安全研究人员发现了一种新型攻击手段,攻击者可以通过这种简单的电子邮件攻击手段,在电子邮件送至用户收件箱后,对其内容进行更改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqawxb.html" rel="bookmark" class="title">function-有关php中ajaxxmlhttp&period;onreadystatechange</a>
					<div>
						问题描述 有关php中ajaxxmlhttp.onreadystatechange 请帮我解答xmlhttp.onreadystatechange=function(){}与xmlhttp.onrea ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
